#
# insert a blank line between groups of data
#
# we look at field "col"; when that field changes between one 
# line and the next, we insert a blank line before next.
#
# choose the column with, eg,   'nawk -f group.awk col=3 file...'

# Part of
#              The STARFISH Parallel file-system simulator
#        (Simulation Tool for Advanced Research in File Systems)
# 
#                               David Kotz
#                           Dartmouth College
#                              Version 3.0
#                              January 1996
#                          dfk@cs.dartmouth.edu
#

BEGIN {
    last = "";
}

$col != last {
    print "";
}

{
    last = $col;
    print;
}
